#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    long long int n,q;
    cin >> n >> q;
    long long int nz[n*2], nnz[n*2], qz[q];
    for(long long int i=0;i<n;i++)
        cin >> nz[i];
    for(long long int i=0;i<q;i++)
        cin >> qz[i];

    for(long long int i=0;i<n-1;i++)
       {
           for(long long int a=i+1;a<n;a++)
            {
                if(nz[i]>=nz[a])
                    swap(nz[i],nz[a]);
            }
       }

    for(long long int i=0;i<n;i++)
        nnz[i]=nz[i];


    for(long long int i=0;i<q;i++)
    {
        long long int d=n,s=d/2;

        for(long long int m=0;m<n;m++)
        nz[m]=nnz[m];

        while(nz[s]!=qz[i])
        {
            d++;
            nz[d]=qz[i];
            s=d/2;
            for(long long int f=0;f<d-1;f++)
            {
               for(long long int a=f+1;a<d;a++)
                {
                    if(nz[f]>=nz[a])
                        swap(nz[f],nz[a]);
                }

           }

        }


        cout << d-n<< endl;
    }



    return 0;
}